Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.coverage.grid
Class ByteInValuePacking

    Object
      CodeList<ByteInValuePacking>
          ByteInValuePacking

All Implemented Interfaces:
  Serializable, Comparable<ByteInValuePacking>

Deprecated. In favor of migrating to ISO 19123 definition for Coverage.

    @UML(identifier="GC_ByteInValuePacking",
         specification=OGC_01004)
    public final class ByteInValuePacking

extends CodeList<ByteInValuePacking>

Specifies the order of the bytes in multi-byte values.

WARNING: THIS CLASS WILL CHANGE. Current API is derived from OGC Grid Coverages Implementation specification 1.0. We plan to replace it by new interfaces derived from ISO 19123 (Schema for coverage geometry and functions). Current interfaces should be considered as legacy and are included in this distribution only because they were part of GeoAPI 1.0 release. We will try to preserve as much compatibility as possible, but no migration plan has been determined yet.

Since:
  GeoAPI 1.0
Version:
  Grid Coverage specification 1.0
See Also:
  `GridPacking`, `ValueInBytePacking`, `ByteOrder`, Serialized Form

Field Summary
`static ByteInValuePacking` | `WKB_NDR` Deprecated. Little Endian.
`static ByteInValuePacking` | `WKB_XDR` Deprecated. Big Endian.

Method Summary
`CodeList[]` | `family()` Deprecated. Returns the list of enumerations of the same kind than this enum.
`static ByteInValuePacking` | `valueOf(String code)` Deprecated. Returns the ByteInValuePacking that matches the given string, or returns a new one if none match it.
`static ByteInValuePacking[]` | `values()` Deprecated. Returns the list of `ByteInValuePacking`s.

Methods inherited from class CodeList
`compareTo, name, ordinal, readResolve, toString`

Methods inherited from class Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### WKB_XDR

    @UML(identifier="GC_wkbXDR",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ByteInValuePacking WKB_XDR

  Deprecated.
  Big Endian.

  See Also:
    `ByteOrder.BIG_ENDIAN`

### WKB_NDR

    @UML(identifier="GC_wkbNDR",
         obligation=CONDITIONAL,
         specification=OGC_01004)
    public static final ByteInValuePacking WKB_NDR

  Deprecated.
  Little Endian.

  See Also:
    `ByteOrder.LITTLE_ENDIAN`

Method Detail

### values

    public static ByteInValuePacking[] values()

  Deprecated.
  Returns the list of `ByteInValuePacking`s.

### family

    public CodeList[] family()

  Deprecated.
  Returns the list of enumerations of the same kind than this enum.

  Specified by:
    `family` in class `CodeList<ByteInValuePacking>`

### valueOf

    public static ByteInValuePacking valueOf(String code)

  Deprecated.
  Returns the ByteInValuePacking that matches the given string, or returns a new one if none match it.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.